Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.util
Class SeekableOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.batik.ext.awt.image.codec.util.SeekableOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class SeekableOutputStream

extends OutputStream

An `OutputStream` which can seek to an arbitrary offset.

Constructor Summary
`SeekableOutputStream(RandomAccessFile file)` Constructs a `SeekableOutputStream` from a `RandomAccessFile`.

Method Summary
`void` | `close()`
`void` | `flush()` Invokes `getFD().sync()` on the underlying `RandomAccessFile`.
`long` | `getFilePointer()`
`void` | `seek(long pos)`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeekableOutputStream

    public SeekableOutputStream(RandomAccessFile file)

  Constructs a `SeekableOutputStream` from a `RandomAccessFile`. Unless otherwise indicated, all method invocations are fowarded to the underlying `RandomAccessFile`.

  Parameters:
    `file` - The `RandomAccessFile` to which calls will be forwarded.
  Throws:
    `IllegalArgumentException` - if `file` is `null`.

Method Detail

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Invokes `getFD().sync()` on the underlying `RandomAccessFile`.

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### getFilePointer

    public long getFilePointer()
                        throws IOException

  Throws:
    `IOException`

### seek

    public void seek(long pos)
              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.